View Issue Details

IDProjectCategoryView StatusLast Update
0004255FreeCADBugpublic2020-03-02 20:16
Reporteraxkibe Assigned Torealthunder  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Summary0004255: Can't select any complete object from the Tree view / 3D view as sweep path
DescriptionForum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=42621

When entering Path selection mode when doing a Part/Sweep, it is impossible to select a complete a complete object (wire, sketch) :
  • Trying to select in the Tree view, the selection is rejected with 'Selection not allowed by filter'
  • Trying to select in the 3D view by clicking twice the same edge, it doesn't work and deselect the edge instead
Moreover, box selection doesn't work in sweep path selection mode, which makes it highly complex/boring to select a path with lot of edges.
Notice this is a regression compared to 0.18
Steps To ReproduceMake a sketch with a dwire.
Make a sketch with a circle.
Part workbench, "utility to sweep".
Select the circle as profile.
CLick select path.
Go to model view. Try to select said dwire.
TagsNo tags attached.
FreeCAD InformationOS: Debian GNU/Linux 10 (buster) (GNOME/gnome-xorg)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19327 (Git)
Build type: Unknown
Branch: master
Hash: 65c4e1bd11e0820cd1f1d6577d23bf9cdbb54247
Python version: 3.7.3
Qt version: 5.11.3
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Activities

axkibe

2020-01-25 07:16

reporter   ~0014110

Sorry I meant "PartDesign" workbench

openBrain

2020-01-26 18:41

developer   ~0014115

Bug data updated

openBrain

2020-01-26 18:42

developer   ~0014116

@Kunda1 : may you please transfer to 'Part' project ?

@axkibe : 'Part' is correct. 'PartDesign' doesn't suffer this issue. ;)

realthunder

2020-03-02 20:16

developer   ~0014201

Fix committed to master branch.

Related Changesets

FreeCAD: master 3691f68e

2020-02-12 02:47:32

realthunder


Committer: wwmayer Details Diff
Part: fix Sweep path selection

Fixes 0004255
Affected Issues
0004255
mod - src/Mod/Part/Gui/TaskSweep.cpp Diff File

Issue History

Date Modified Username Field Change
2020-01-25 07:13 axkibe New Issue
2020-01-25 07:17 axkibe Note Added: 0014110
2020-01-26 18:41 openBrain Severity minor => major
2020-01-26 18:41 openBrain Status new => acknowledged
2020-01-26 18:41 openBrain Summary Utility to sweep, cannot click a DWire => Can't select any complete object from the Tree view / 3D view as sweep path
2020-01-26 18:41 openBrain Description Updated View Revisions
2020-01-26 18:41 openBrain Note Added: 0014115
2020-01-26 18:42 openBrain Note Added: 0014116
2020-03-02 20:16 realthunder Changeset attached => FreeCAD master 3691f68e
2020-03-02 20:16 realthunder Note Added: 0014201
2020-03-02 20:16 realthunder Assigned To => realthunder
2020-03-02 20:16 realthunder Status acknowledged => closed
2020-03-02 20:16 realthunder Resolution open => fixed